org.apache.maven.scm.provider.svn.svnexe.command.diff

## Class SvnDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.svn.svnexe.command.diff.SvnDiffCommand

All Implemented Interfaces:
  Command, SvnCommand

    public class SvnDiffCommand
    extends AbstractDiffCommand
    implements SvnCommand

Author:
  Brett Porter, Olivier Lamy

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`SvnDiffCommand()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.codehaus.plexus.util.cli.Commandline` `createCommandLine(SvnScmProviderRepository repository, File workingDirectory, ScmVersion startVersion, ScmVersion endVersion)`
`protected DiffScmResult` `executeDiffCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startVersion, ScmVersion endVersion)`

### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### SvnDiffCommand

    public SvnDiffCommand()

### Method Detail

#### executeDiffCommand

    protected DiffScmResult executeDiffCommand(ScmProviderRepository repo,
                                               ScmFileSet fileSet,
                                               ScmVersion startVersion,
                                               ScmVersion endVersion)
                                        throws ScmException

Specified by:
  `executeDiffCommand` in class `AbstractDiffCommand`
Throws:
  `ScmException`

#### createCommandLine

    public static org.codehaus.plexus.util.cli.Commandline createCommandLine(SvnScmProviderRepository repository,
                                                                             File workingDirectory,
                                                                             ScmVersion startVersion,
                                                                             ScmVersion endVersion)